Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 1777)
+++ palm/trunk/SCRIPTS/mrun	(revision 1779)
@@ -22,5 +22,8 @@
 # Current revisions:
 # ------------------
-# 
+# test: implementing an execute mechanism where the execute command is given in the
+# configuration file
+# ROPTS removed from execution commands
+# Warnings about missing optional files or user code changed to informative messages
 # 
 # Former revisions:
@@ -245,4 +248,5 @@
  exclude=""
  executable=""
+ execute_command="none"
  execution_error=false
  fftw_inc=""
@@ -671,5 +675,6 @@
     while read line
     do
-       if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" &&  $(echo $line | cut -d" " -s -f4) = $cond1 && $(echo $line | cut -d" " -s -f4)  = $cond2 ]]
+       echo line=\"$line\"
+       if [[ "$line" != ""  &&  $(echo $line | cut -c1) != "#" &&  $(echo $line | cut -d" " -s -f4) = $cond1 && $(echo $line | cut -d" " -s -f5)  = $cond2 ]]
        then
           coupled_mode="mpi2"
@@ -1594,5 +1599,5 @@
        if [[ ! -d $add_source_path ]]
        then
-          printf "\n\n  +++ WARNING: additional source code directory"
+          printf "\n\n  *** INFORMATIVE: additional source code directory"
           printf "\n      \"$add_source_path\" "
           printf "\n      does not exist or is not a directory."
@@ -1893,14 +1898,8 @@
 
 
-
     # DETERMINE COMPILE- AND LINK-OPTIONS
  fopts="$fopts $netcdf_inc $fftw_inc $dvr_inc"
  lopts="$lopts $netcdf_lib $fftw_lib $dvr_lib"
- ROPTS="$ropts"
-# if [[ ( $(echo $host | cut -c1-3) = nec  ||  $(echo $host | cut -c1-3) = ibm  ||  $host = lckyoto  ||  $host = lctit  ||  $host = lcflow  ||  $host = lcxe6 ||  $host = lcxt5m || $host = lck || $host = lckiaps || $host = lckordi || $host = lcsb || $host )  &&  -n $numprocs ]]
-# then
-    XOPT="-X $numprocs"
-# fi
-
+ XOPT="-X $numprocs"
 
 
@@ -2875,9 +2874,9 @@
           if [[ "${extin[$i]}" = ""  ||  "${extin[$i]}" = " " ]]
           then
-             printf "\n  +++ WARNING: input file \"${pathin[$i]}/${afname}${endin[$i]}\" "
-             printf "\n               is not available!"
+             printf "\n  *** INFORMATIVE: input file \"${pathin[$i]}/${afname}${endin[$i]}\" "
+             printf "\n                   is not available!"
           else
-             printf "\n  +++ WARNING: input file \"${pathin[$i]}/${afname}${endin[$i]}.${extin[$i]}\" "
-             printf "\n               is not available!"
+             printf "\n  *** INFORMATIVE: input file \"${pathin[$i]}/${afname}${endin[$i]}.${extin[$i]}\" "
+             printf "\n                   is not available!"
           fi
           continue
